[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Aptitude Error





On Sun, May 2, 2010 at 7:30 AM, Tom H <tomh0665@gmail.com> wrote:
On Sat, May 1, 2010 at 1:25 AM, Daniel Burrows <dburrows@debian.org> wrote:
> On Sat, May 01, 2010 at 12:46:13AM -0400, Tom H <tomh0665@gmail.com> was heard to say:
>> On Sat, May 1, 2010 at 12:04 AM, Mike Viau <viaum@sheridanc.on.ca> wrote:
>> >> On Fri, Apr 30, 2010 at 01:26:45PM -0400, Tom H <tomh0665@gmail.com> was
>> >> heard to say:
>> >> > On Fri, Apr 30, 2010 at 1:18 PM, Anand Sivaram <aspnair@gmail.com>
>> >> > wrote:
>> >> > >
>> >> > > You could find what all packages from sid are installed in your system
>> >> > > by
>> >> > > apt-show-versions |  grep unstable
>>
>> "aptitude search ~Aunstable~i"
>
>  That'll show packages that are available from sid and that are
> installed on your computer.  That could include packages you installed
> from testing, but that are also available from sid.  If you want to
> check that the installed version is also available from sid, you'll need
> to wrap it in '?narrow':
>
> $ aptitude search '?narrow(?archive(unstable), ?installed)'

Many thanks. I have finally understood the purpose of narrow (and had
my misunderstanding of "and" corrected!).


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: x2o6d4219cc1005012230v8cd8e678se258c322ef33f48e@mail.gmail.com" target="_blank">http://lists.debian.org/x2o6d4219cc1005012230v8cd8e678se258c322ef33f48e@mail.gmail.com

So if I use the narrow version it will show me what all packages I have installed from sid? If so, then I have a great many packages from sid. Why?

Reply to: